package geniusweb.profile.utilityspace;

import java.math.BigDecimal;
import java.util.Map;

/**
 * interface to a Utilityspace that is linear-additive.
 *
 */
public interface LinearAdditive extends UtilitySpace {
	/**
	 * @return the map from issue names to valuesetutilities (un-weighted)
	 */
	Map<String, ValueSetUtilities> getUtilities();

	/**
	 * 
	 * @return the map from issue names to weights. weights sum to 1.
	 */
	Map<String, BigDecimal> getWeights();

	/**
	 * 
	 * @param issue the issue name
	 * @return the weight of the given issue
	 */
	BigDecimal getWeight(String issue);

}
